Redmine::Plugin.register :attachment_name_validator do
  name 'Attachment Name Validator'
  author 'Aroan Kanor'
  description 'This plugin validate attachment filename with regular expression'
  version '0.0.1'

  settings :default => {
      :attachment_name_regexp => ".+",
      :attachment_name_rules => "",
  }, :partial => 'settings/attachment_name_validator_settings'

end

ActionDispatch::Callbacks.to_prepare do 
  Attachment.send(:include, Patches::AttachmentPatch)
end
